      program uin14
! Check 2 byte integers
      integer*2 x(10)
	  integer i,j
! check for false positive
      print *,'Checking for false positive - no error should be reported before next message..'
      do i = -32768 , 32767
!	     print '(z8,i10)',i,i
         j = mod(i+32768,10) + 1
         x(j) = i
         x(1) = x(j)
      enddo
      print *,'but NOW there is a genuine undefined var usage'
      call sub(x)
      end
      subroutine sub(x)
      integer*2 x(*)
      x(3) = x(11)
      print * , x(1:11)
      end
	  
